#!/usr/bin/env python3
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2016 Synology Inc. All rights reserved.

from os import environ
from importlib import util

spec = util.spec_from_file_location('common', '/var/packages/Chat/target/bin/sdk_plugin/common.py')
common = util.module_from_spec(spec)
spec.loader.exec_module(common)

class GroupDel(common.Runner):
	def __init__ (self):
		common.Runner.__init__(self)
		self.privilegeChangedData = {}

	# @override
	def post (self):
		if environ.get('RESULT') != '0':
			return None

		serverType = environ.get('SERVER_TYPE')

		if serverType == 'domain':
			serverType = 'ad'

		self.privilegeChangedData = {
			'accounttype': serverType
		}
		common.callChatHook('user_privilege_refresh', self.privilegeChangedData)

common.Main(GroupDel())
