#!/usr/bin/env python3
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2016 Synology Inc. All rights reserved.

from os import environ
from importlib import util

spec = util.spec_from_file_location('common', '/var/packages/Chat/target/bin/sdk_plugin/common.py')
common = util.module_from_spec(spec)
spec.loader.exec_module(common)

class UserRename(common.Runner):
	def __init__ (self):
		common.Runner.__init__(self)

	# @override
	def post (self):
		items = int(environ.get('NITEMS'))

		rows = []
		for i in range(1, items + 1):
			rows.append({
				'uid': int(environ.get('UID_' + str(i))),
				'username': environ.get('USER_NAME_' + str(i)),
				'origin_username': environ.get('ORIGIN_USER_NAME_' + str(i))
			})

		common.callChatHook('user_rename', rows)

common.Main(UserRename())
